using CommunityToolkit.Mvvm.Messaging;

namespace salesbook.Maui
{
    public partial class App : Application
    {
        private readonly IMessenger _messenger;
        
        public App(IMessenger messenger)
        {
            InitializeComponent();
            _messenger = messenger;
        }

        protected override Window CreateWindow(IActivationState? activationState)
        {
            return new Window(new MainPage(_messenger));
        }
    }
}
